package com.chenyang.nse.bussiness.entity.orm.table.core.genimport;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;

@Entity
public class GenImport extends TBaseEntity {
   private String sourceschema;
   private String targetschema;
   private String domainname;
   private String repository;
   private String integration;
   private String mappingprefix;
   private String workflowprefix;
   private String sessionprefix;
   private String sourceconn;
   private String targetconn;
   private int istruncate;
   private int writetype;
   private int ismulti;
   private int repository_codepage;
   private String repository_databasetype;
   private int powercenter_version;
   private int log_runs;
   private int stop_errors;
   private int commit_interval;
   private int log_view;

   public String getSourceschema() {
      return this.sourceschema;
   }

   public void setSourceschema(String sourceschema) {
      this.sourceschema = sourceschema;
   }

   public String getTargetschema() {
      return this.targetschema;
   }

   public void setTargetschema(String targetschema) {
      this.targetschema = targetschema;
   }

   public String getDomainname() {
      return this.domainname;
   }

   public void setDomainname(String domainname) {
      this.domainname = domainname;
   }

   public String getRepository() {
      return this.repository;
   }

   public void setRepository(String repository) {
      this.repository = repository;
   }

   public String getIntegration() {
      return this.integration;
   }

   public void setIntegration(String integration) {
      this.integration = integration;
   }

   public String getMappingprefix() {
      return this.mappingprefix;
   }

   public void setMappingprefix(String mappingprefix) {
      this.mappingprefix = mappingprefix;
   }

   public String getWorkflowprefix() {
      return this.workflowprefix;
   }

   public void setWorkflowprefix(String workflowprefix) {
      this.workflowprefix = workflowprefix;
   }

   public String getSessionprefix() {
      return this.sessionprefix;
   }

   public void setSessionprefix(String sessionprefix) {
      this.sessionprefix = sessionprefix;
   }

   public String getSourceconn() {
      return this.sourceconn;
   }

   public void setSourceconn(String sourceconn) {
      this.sourceconn = sourceconn;
   }

   public String getTargetconn() {
      return this.targetconn;
   }

   public void setTargetconn(String targetconn) {
      this.targetconn = targetconn;
   }

   public int getIstruncate() {
      return this.istruncate;
   }

   public void setIstruncate(int istruncate) {
      this.istruncate = istruncate;
   }

   public int getIsmulti() {
      return this.ismulti;
   }

   public void setIsmulti(int ismulti) {
      this.ismulti = ismulti;
   }

   public int getRepository_codepage() {
      return this.repository_codepage;
   }

   public void setRepository_codepage(int repository_codepage) {
      this.repository_codepage = repository_codepage;
   }

   public void setPowercenter_version(int powercenter_version) {
      this.powercenter_version = powercenter_version;
   }

   public void setLog_runs(int log_runs) {
      this.log_runs = log_runs;
   }

   public void setCommit_interval(int commit_interval) {
      this.commit_interval = commit_interval;
   }

   public void setLog_view(int log_view) {
      this.log_view = log_view;
   }

   public String getRepository_databasetype() {
      return this.repository_databasetype;
   }

   public void setRepository_databasetype(String repository_databasetype) {
      this.repository_databasetype = repository_databasetype;
   }

   public int getWritetype() {
      return this.writetype;
   }

   public void setWritetype(int writetype) {
      this.writetype = writetype;
   }

   public int getStop_errors() {
      return this.stop_errors;
   }

   public void setStop_errors(int stop_errors) {
      this.stop_errors = stop_errors;
   }

   public int getPowercenter_version() {
      return this.powercenter_version;
   }

   public int getLog_runs() {
      return this.log_runs;
   }

   public int getCommit_interval() {
      return this.commit_interval;
   }

   public int getLog_view() {
      return this.log_view;
   }
}
